# LocationInlineQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.query / LocationInlineQuery

# LocationInlineQuery

(common) `data class LocationInlineQuery : InlineQuery` (source)

### Constructors

(common)

#### <init>

`LocationInlineQuery(id: InlineQueryIdentifier, from: User, query: String, offset: String, location: Location)`

### Properties

(common)

#### from

`val from: User`

(common)

#### id

`val id: InlineQueryIdentifier`

(common)

#### location

`val location: Location`

(common)

#### offset

`val offset: String`

(common)

#### query

`val query: String`

### Extension Functions

(common)

#### createAnswer

`fun InlineQuery.createAnswer(results: List<InlineQueryResult> = emptyList(), cachedTime: Int? = null, isPersonal: Boolean? = null, nextOffset: String? = null, switchPmText: String? = null, switchPmParameter: String? = null): AnswerInlineQuery`